<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xpath-default-namespace="http://crocode.com/textanz/alg/beans">
	<xsl:output method="html" version="4.0" encoding="UTF-8"
		indent="yes" />
		
	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
			</head>
			<xsl:apply-templates/>
		</html>
	</xsl:template>

	<xsl:template match="item">
		<xsl:variable name="freq" select="@count"/>
		&#xa0;<a style="font-size:{0.8 + ((number(@count)-2) div 10)}em;" title="&quot;{phrase}&quot; : {@count} occurrences" href="http://www.google.com/search?q={phrase}"><xsl:value-of select="phrase"/></a>&#xa0;
	</xsl:template>

	<xsl:template match="@* | node()">
		<xsl:apply-templates />
	</xsl:template>

</xsl:stylesheet>	